
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%define rel 1

Summary:        File manager for KDE focusing on usability
Name:           dolphin
Version: 18.08.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Patch0:         dolphin-18.08.2-kcrash-link.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  kactivities5-devel
BuildRequires:  pkgconfig(Baloo) >= 4.97
BuildRequires:  kfilemetadata5-devel
BuildRequires:  kdoctools-devel >= 5.7.0
BuildRequires:  kinit-devel >= 5.7.0
BuildRequires:  kcmutils-devel >= 5.7.0
BuildRequires:  knewstuff-devel >= 5.7.0
BuildRequires:  kcoreaddons-devel >= 5.7.0
BuildRequires:  ki18n-devel >= 5.7.0
BuildRequires:  kdbusaddons-devel >= 5.7.0
BuildRequires:  kbookmarks-devel >= 5.7.0
BuildRequires:  kconfig-devel >= 5.7.0
BuildRequires:  kio-devel >= 5.7.0
BuildRequires:  solid-devel >= 5.7.0
BuildRequires:  kiconthemes-devel >= 5.7.0
BuildRequires:  kcompletion-devel >= 5.7.0
BuildRequires:  kparts >= 5.12.0
BuildRequires:  ktexteditor-devel >= 5.7.0
BuildRequires:  kwindowsystem-devel >= 5.7.0
BuildRequires:  knotifications-devel >= 5.7.0
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  kdelibs4support-devel >= 5.7.0

BuildRequires:  baloo-widgets-devel >= 4.97
BuildRequires:  libkf5crash-devel

Requires:       kio
Requires:       kio-extras
Requires:       kinit

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1


%description
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
  through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -f %name.lang
%_kf5_bindir/dolphin
%_kf5_bindir/servicemenudeinstallation
%_kf5_bindir/servicemenuinstallation
%_kf5_sysconfdir/xdg/servicemenu.knsrc
%_kf5_libdir/libkdeinit5_dolphin.so
%_qt5_plugindir/*.so
/usr/share/metainfo/org.kde.dolphin.appdata.xml
%_kf5_datadir/applications/org.kde.dolphin.desktop
%_kf5_datadir/config.kcfg/*.kcfg
%_kf5_datadir/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%_kf5_datadir/dbus-1/services/org.kde.dolphin.FileManager1.service
%_kf5_services/*.desktop
%_kf5_servicetypes/fileviewversioncontrolplugin.desktop
%_datadir/locale/*/LC_SCRIPTS/dolphin/

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/dolphin

#--------------------------------------------------------------------

%define dolphinprivate_major 5
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}

%package -n %libdolphinprivate
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinprivate15

%description -n %libdolphinprivate
Dolphin Library.

%files -n %libdolphinprivate
%_kf5_libdir/libdolphinprivate.so.%{dolphinprivate_major}*

#--------------------------------------------------------------------

%define dolphinvcs_major 5
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}

%package -n %libdolphinvcs
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinvcs15

%description -n %libdolphinvcs
Dolphin Library.

%files -n %libdolphinvcs
%_kf5_libdir/libdolphinvcs.so.%{dolphinvcs_major}*

#--------------------------------------------------------------------

%define dolphin_devel %mklibname dolphin -d

%package -n %dolphin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libdolphinprivate = %version-%release
Requires:       %libdolphinvcs = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %dolphin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %dolphin_devel
%_includedir/Dolphin
%_includedir/dolphin_export.h
%_includedir/dolphinvcs_export.h
%_kf5_libdir/cmake/DolphinVcs
%_kf5_libdir/libdolphinvcs.so

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%make_build

%install
%make_install -C build

%find_lang %name


%changelog
* Wed Dec 05 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
